import request from "@/utils/request";

// 查询网评列表
export function listEvaluate(query) {
  return request({
    url: "/zongzhi/evaluate/list",
    method: "get",
    params: query,
  });
}

// 查询网评详细
export function getEvaluate(id) {
  return request({
    url: "/zongzhi/evaluate/" + id,
    method: "get",
  });
}

// 新增网评
export function addEvaluate(data) {
  return request({
    url: "/zongzhi/evaluate",
    method: "post",
    data: data,
  });
}

// 修改网评
export function updateEvaluate(data) {
  return request({
    url: "/zongzhi/evaluate",
    method: "put",
    data: data,
  });
}

// 删除网评
export function delEvaluate(id) {
  return request({
    url: "/zongzhi/evaluate/" + id,
    method: "delete",
  });
}

// 导出网评
export function exportEvaluate(data) {
  return request({
    url: "/zongzhi/evaluate/export",
    method: "post",
    data,
  });
}
